<!-- 搜索表单 -->
<template>
  <seekPage :seekList="seekList" :formLength="3" @search="search"></seekPage>
</template>
<script>
  import { reviewStatusSelect, saleOrderProgressStatusEnum } from '@/enum/dict';
  export default {
    data() {
      return {};
    },
    computed: {
      // 表格列配置
      seekList() {
        return [
          {
            label: '客户名称：',
            value: 'clientName',
            type: 'input',
            placeholder: ''
          },
          {
            label: '件名',
            value: 'name',
            type: 'input',
            placeholder: ''
          },
          {
            label: '选择月份',
            value: 'startDate',
            type: 'year-month',
            placeholder: '',
            width: 180
          }
        ];
      }
    },
    methods: {
      /* 搜索 */
      search(e) {
        this.$emit('search', {
          ...e
        });
      }
    }
  };
</script>
